Skip to main content
GET
/
v1
/
carousel
/
templates
/
{templateId}
Get a specific carousel template
curl --request GET \
  --url https://api.yalg.ai/v1/carousel/templates/{templateId} \
  --header 'x-api-key: <api-key>'
{
  "id": "018f9f46-9a0e-7afd-b13f-2f63f07aa4f2",
  "name": "Minimal red carousel",
  "config": {
    "primaryColor": "#e00036",
    "slideCount": 6
  },
  "isDefault": false,
  "createdAt": "2026-06-20T17:24:39.000Z",
  "updatedAt": "2026-06-20T17:24:39.000Z"
}

Authorizations

x-api-key
string
header
default:yalg_live_your_api_key
required

YALG Developer API key. Send it in the x-api-key header from a server-side environment only.

Path Parameters

templateId
string
required

Carousel template identifier.

Example:

"018f9f46-9a0e-7afd-b13f-2f63f07aa4f2"

Response

Template retrieved successfully

Carousel template configuration.

id
string<uuid>

Template identifier.

Example:

"018f9f40-7d7b-7712-9b0f-2e5d9fd5df3f"

name
string
Example:

"Minimal red"

config
object
isDefault
boolean
Example:

false

createdAt
string<date-time>
Example:

"2026-06-20T17:24:39.000Z"

updatedAt
string<date-time>
Example:

"2026-06-20T17:24:39.000Z"